# GooglePay API REST 2.0 GooglePay API **Version:** 1.1.0 ## Servers - `https://api-sandbox.nuvei.com/google-pay-api` — sandbox - `https://api.nuvei.com/google-pay-api` — prod ## Tags - **Google Pay Sessions** - **Domains Operations** ## Security Schemes ### accessToken - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKey - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/entities/{entity-id}/domains` #### GET **Summary:** Returns the list of registered domains for the Entity. **Operation ID:** `getDomains` **Tags:** Domains Operations **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | EntityId | Yes | Entity ID | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `GetDomainsResponse` - **domains** — (`Domains`) — _array_ - **items** — (`Domain`) — _object_ - **name** — (`DomainName`) — _string_ — **required** - **status** — (`DomainStatus`) — _string_ — **required** — enum: `ACTIVE`, `DISABLED` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/domains/register` #### POST **Summary:** Registers the provided list of domains for the Entity. Registers the provided list of domains for the Entity **Operation ID:** `registerDomains` **Tags:** Domains Operations **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | EntityId | Yes | Entity ID | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `RegisterDomainsRequest` - **googlePayTermsAndConditionsAccepted** — _boolean_ — **required** - **domains** — (`DomainNames`) — _array_ — **required** - **items** — (`DomainName`) — _string_ **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `RegisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/domains/unregister` #### POST **Summary:** Unegisters the provided list of domains for the Entity. Unregisters the provided list of domains for the Entity **Operation ID:** `unregisterDomains` **Tags:** Domains Operations **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | EntityId | Yes | Entity ID | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `UnregisterDomainsRequest` - **domains** — (`DomainNames`) — _array_ — **required** - **items** — (`DomainName`) — _string_ **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `UnregisterDomainsResponse` - **domains** — (`DomainsResults`) — _array_ - **items** — (`DomainResult`) — _object_ - **domain** — (`DomainName`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/merchant-info` #### GET **Summary:** Retrieves a JWT for use with Google Wallet API. Retrieves a JWT for use with Google Wallet API **Operation ID:** `getMerchantInfo` **Tags:** Google Pay Sessions **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | EntityId | Yes | Entity ID | | `merchant_name` | query | MerchantName | No | Merchant Name | | `merchant_origin` | query | DomainName | No | Merchant Origin | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `MerchantInfoResponse` - **merchantInfo** — (`MerchantInfo`) — _object_ - **merchantId** — (`MerchantId`) — _string_ - **merchantOrigin** — (`DomainName`) — _string_ - **merchantName** — (`MerchantName`) — _string_ - **authJwt** — (`Jwt`) — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting